Bug 138243 - Custom kernel install
Custom kernel install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-11-05 20:49 EST by Hans Strijker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-08 09:44:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Strijker 2004-11-05 20:49:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I would love to see an option that would let anaconda install 
packages from source on a customised kernel.
I would love to see it being possible to configure a kernel the way I 
would like to have it, save it on a seperate small partition, usb 
stick or floppy drive and then install fedora using that kernel. 
Perhaps it would then also be possible to make anaconda use custom 
drivers like the proper nVidia drivers from thesame 
I have no idea how much work this would be since I'm not much of a 
programmer, just a little bit more then a regular pc user.

With regards,
Hans Strijker

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install a distro equipped with anaconda

Additional info:
Comment 1 Jeremy Katz 2004-11-08 09:44:15 EST
anaconda already has support for driver disks for storage and network
drivers that are needed for during the install.  Adding a build
environment isn't practical, though, due to the space considerations.
 Anaconda will get your system installed and then you can do whatever
you want.

Note You need to log in before you can comment on or make changes to this bug.